[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendPointer

Send the value of a pointer variable.

## Declaration

Source position: dbugintf.pp line 28

`procedure SendPointer(`
`const Identifier: string;`
`const Value: Pointer`
`);`

## Arguments

`Identifier` |  | Name of the pointer variable
`Value` |  | The actual pointer value

## Description

SendInteger is a simple wrapper around SendDebug which sends the name and value of a pointer value as an informational message. The pointer value is displayed using hexadecimal notation.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendBoolean |  | Send the value of a boolean variable
SendDateTime |  | Send the value of a TDateTime variable.
SendInteger |  | Send the value of an integer variable.

Documentation generated on: Feb 26 2014